import { useAxios } from '@vueuse/integrations/useAxios'

const LOGIN_RESOURCE = '/api/login'
const OIC_RECEIVER = '/api/oic_create_token'

export default {
  login(stay_logged_in: boolean): Promise<Axios.Response> {
    return useAxios(LOGIN_RESOURCE, { method: 'POST', data: { stay_logged_in } })
  },
  receive_netdb_token(payload: string) {
    return useAxios(OIC_RECEIVER + payload)
  },
  logout(config: object) {
    // Important: Do not rename the idx property, it is used in the interceptor to detect the logout request
    const ta = [
      { idx: 'doLogoutRequest', name: 'cntl.wapi_auth.delete', old: { gpk: config.token.gpk } },
    ]
    return TransactionService.execute(config, ta)
  },
  get_mgr(config: object, mgr_login_name: string) {
    const ta = [
      { name: 'cntl.mgr.list', old: { login_name: mgr_login_name } },
    ]
    return ta
  },
}
