import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useSettingsStore = defineStore('settings', () => {
  const language: Ref<string> = ref(navigator.language.split('-')[0] || 'en')
  function setLanguage(lang_value: string) {
    language.value = lang_value
  }
  return { language, setLanguage }
}, { persist: true })
